Home Forums Weaver Xtreme Theme Update to 4.4 borked my website (fatal error)

Topic Resolution: Resolved
Viewing 6 posts - 1 through 6 (of 6 total)
  • Author
    Posts
  • #65766
    mugwumpr
    Participant

    Hello,

    I just updated to 4.4 and it crashed my website. I had to rename it in my CPanel file manager to get back in as not even the WordPress recovery link worked. Uberborked.

    Everything runs as expected on the default TwentyTwenty theme, and it was working seamlessly prior to the update. I had been doing some cosmetic work and had, ironically, just ensured that it was working flawlessly immediately prior to the theme update.

    My site looks ugly on TwentyTwenty. It works, but it looks ugly.

    Is there a way to roll it back to the previous version?

    Thanks!

    #65769
    Weaver
    Keymaster

    We tested Weaver Xtreme 4.4 on many sites, including this forum. We haven’t had issues, but others are.

    You can get the 4.3.9 version of Weaver Xtreme here:  https://weavertheme.com/archive-downloads/

    Download it, then use the Appearance -> Themes menu to “upload new theme”, and use it to replace 4.4.

    We will hopefully be able to get access to a site with issues and find the issue.

    #65777
    scrambler
    Moderator

    Did you have the woocommerce plugin, as there was a bug with wooccommerce that will be fixed in a new version of 4.4.

    Before installing the 4.3.9 version, while you are on 2020, delete the weaver Xtreme theme and weaver plugin, then reinstall the 4.3.9 version you download and see if things look OK, then reinstall the weaver plugins

    #65778
    mugwumpr
    Participant

    Thanks, Weaver! You rock!

    The updated version works exactly as expected. My website is beautiful once again.

    (Thanks, Scrambler. I updated the existing disabled version, and it’s working perfectly now.)

    #65780
    StrangeChild
    Participant

    My client’s site got borked and I just got it rolled back. While in recovery mode I found this error on the plugin page: https://drive.google.com/file/d/1KDM_ejSUB9GnJO-j7uybgLPug_dE7DoF/view?usp=sharing

    Sorry the screen shot is cut off. I was scrambling to get the site back online.

    The email from WordPress gave me this:

    Error Details
    =============
    An error of type E_COMPILE_ERROR was caused in line 696 of the file /home/jvofzrk0066o/public_<wbr />html/wp-content/themes/weaver-<wbr />xtreme/functions.php. Error message: require_once(): Failed opening required ‘/home/jvofzrk0066o/public_<wbr />html/wp-content/themes/weaver-<wbr />xtreme/woocommerce-support.<wbr />php’ (include_path=’.:/opt/alt/<wbr />php70/usr/share/pear’)

    #65781
    scrambler
    Moderator

    @StrangeChild did you read the thread?

    Do you have Woocommerce?

    If so you need the new 4.4.0.1 version to fix the bug

Viewing 6 posts - 1 through 6 (of 6 total)
  • You must be logged in to reply to this topic.